package com.palmnest.model.estateserve;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 访客信息实体类
 *
 * @author HJY
 */
@Entity
@Table(name = "tb_visitorInfo")
@SuppressWarnings("serial")
public class VisitorInfo implements java.io.Serializable {

	private Integer visitorId;// 访客主键ID 自增
	private Integer visitorOrderId;// 预约主订单ID
	private String  visitorName;// 访客姓名
	private String  visitorPhone;// 电话号码
	private String  userHeadUrl;// 用户头像
	private Date    visitorStartTime;// 来访时间
	private Date    visitorEndTime;// 结束时间
	private String  leaveTime;//预计离开时间
	private Date    visitorCreateTime;// 创建时间
	private Date    visitorUpdateTime;// 修改时间
	private String  visitorIsEnabled;// 是否可用1-可用,0-不可用
	private String  visitorWelcoming;// 欢迎语
	private Integer visitorSubjectId;// face++用户唯一标识
	private Integer visitorAccount;// 编辑的次数
	private String  visitorPassword;// 访客密码
	private String  visitorStatus;// 访客状态1-审核中 2-审核通过 3-审核失败
	private String  visitorOpenId;// 访客openId
	private String  visitorIdentification;// 标识
	private String  visitorType;// 0-普通访客，1-VIP
	private String  visitorIdenHeadImg;// 访客身份证头像
	private String  imageUrL;//访客识别照片
	private String  visitorCompanyName;//公司名称
	private String  startTime;//开始小时分钟不保存数据库字段
	private String  endTime;//结束小时分钟不保存数据库字段
	private String  toDate;//日期不保存数据库字段
	private String  ids;//存储不同组的ID
	private Integer count;//同行的人数
	private String  week;//星期几
	private Integer imagePlusId;//人脸识别的图片ID
	private String  clientUserName;//发起预约用户的名字
	private String  clientPhone;//发起预约用户的电话
	private String  clientAddress;//发起预约用户的电话
	private String  showimageUrl;//face图片url
	private String  userPhone;//用户的手机号码
	//PC 增加访客登记 需要的字段
	/*
	private String idenNumber;//身份证号
	private String censusAddr;//户籍地址
	private String race;//民族
	private String police;//签发机关
	*/
	private String  nodeStr;//进度节点


	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "visitorId", unique = true, nullable = false)
	public Integer getVisitorId() {
		return visitorId;
	}

	public void setVisitorId(Integer visitorId) {
		this.visitorId = visitorId;
	}

	@Column(name = "visitorOrderId")
	public Integer getVisitorOrderId() {
		return visitorOrderId;
	}

	public void setVisitorOrderId(Integer visitorOrderId) {
		this.visitorOrderId = visitorOrderId;
	}

	@Column(name = "visitorName")
	public String getVisitorName() {
		return visitorName;
	}

	public void setVisitorName(String visitorName) {
		this.visitorName = visitorName;
	}

	@Column(name = "visitorPhone")
	public String getVisitorPhone() {
		return visitorPhone;
	}

	public void setVisitorPhone(String visitorPhone) {
		this.visitorPhone = visitorPhone;
	}

	@Column(name = "userHeadUrl")
	public String getUserHeadUrl() {
		return userHeadUrl;
	}

	public void setUserHeadUrl(String userHeadUrl) {
		this.userHeadUrl = userHeadUrl;
	}

	@Column(name = "visitorStartTime")
	public Date getVisitorStartTime() {
		return visitorStartTime;
	}

	public void setVisitorStartTime(Date visitorStartTime) {
		this.visitorStartTime = visitorStartTime;
	}

	@Column(name = "visitorEndTime")
	public Date getVisitorEndTime() {
		return visitorEndTime;
	}

	public void setVisitorEndTime(Date visitorEndTime) {
		this.visitorEndTime = visitorEndTime;
	}

	@Column(name = "visitorCreateTime")
	public Date getVisitorCreateTime() {
		return visitorCreateTime;
	}

	public void setVisitorCreateTime(Date visitorCreateTime) {
		this.visitorCreateTime = visitorCreateTime;
	}

	@Column(name = "visitorUpdateTime")
	public Date getVisitorUpdateTime() {
		return visitorUpdateTime;
	}

	public void setVisitorUpdateTime(Date visitorUpdateTime) {
		this.visitorUpdateTime = visitorUpdateTime;
	}

	@Column(name = "visitorIsEnabled")
	public String getVisitorIsEnabled() {
		return visitorIsEnabled;
	}

	public void setVisitorIsEnabled(String visitorIsEnabled) {
		this.visitorIsEnabled = visitorIsEnabled;
	}

	@Column(name = "visitorWelcoming")
	public String getVisitorWelcoming() {
		return visitorWelcoming;
	}

	public void setVisitorWelcoming(String visitorWelcoming) {
		this.visitorWelcoming = visitorWelcoming;
	}

	@Column(name = "visitorSubjectId")
	public Integer getVisitorSubjectId() {
		return visitorSubjectId;
	}

	public void setVisitorSubjectId(Integer visitorSubjectId) {
		this.visitorSubjectId = visitorSubjectId;
	}

	@Column(name = "visitorAccount")
	public Integer getVisitorAccount() {
		return visitorAccount;
	}

	public void setVisitorAccount(Integer visitorAccount) {
		this.visitorAccount = visitorAccount;
	}

	@Column(name = "visitorStatus")
	public String getVisitorStatus() {
		return visitorStatus;
	}

	public void setVisitorStatus(String visitorStatus) {
		this.visitorStatus = visitorStatus;
	}

	@Column(name = "visitorOpenId")
	public String getVisitorOpenId() {
		return visitorOpenId;
	}

	public void setVisitorOpenId(String visitorOpenId) {
		this.visitorOpenId = visitorOpenId;
	}

	@Column(name = "visitorIdentification")
	public String getVisitorIdentification() {
		return visitorIdentification;
	}

	public void setVisitorIdentification(String visitorIdentification) {
		this.visitorIdentification = visitorIdentification;
	}

	@Column(name = "visitorType")
	public String getVisitorType() {
		return visitorType;
	}

	public void setVisitorType(String visitorType) {
		this.visitorType = visitorType;
	}

	@Column(name = "visitorPassword")
	public String getVisitorPassword() {
		return visitorPassword;
	}

	public void setVisitorPassword(String visitorPassword) {
		this.visitorPassword = visitorPassword;
	}

	@Transient
	public String getImageUrL() {
		return imageUrL;
	}

	public void setImageUrL(String imageUrL) {
		this.imageUrL = imageUrL;
	}

	@Column(name = "visitorCompanyName")
	public String getVisitorCompanyName() {
		return visitorCompanyName;
	}

	public void setVisitorCompanyName(String visitorCompanyName) {
		this.visitorCompanyName = visitorCompanyName;
	}

	@Transient
	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	@Transient
	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	@Transient
	public String getToDate() {
		return toDate;
	}

	public void setToDate(String toDate) {
		this.toDate = toDate;
	}

	@Transient
	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

	@Transient
	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	@Transient
	public String getWeek() {
		return week;
	}

	public void setWeek(String week) {
		this.week = week;
	}

	@Transient
	public Integer getImagePlusId() {
		return imagePlusId;
	}

	public void setImagePlusId(Integer imagePlusId) {
		this.imagePlusId = imagePlusId;
	}

	@Transient
	public String getClientUserName() {
		return clientUserName;
	}

	public void setClientUserName(String clientUserName) {
		this.clientUserName = clientUserName;
	}

	@Transient
	public String getClientPhone() {
		return clientPhone;
	}

	public void setClientPhone(String clientPhone) {
		this.clientPhone = clientPhone;
	}

	@Transient
	public String getClientAddress() {
		return clientAddress;
	}

	public void setClientAddress(String clientAddress) {
		this.clientAddress = clientAddress;
	}

	@Transient
	public String getShowimageUrl() {
		return showimageUrl;
	}

	public void setShowimageUrl(String showimageUrl) {
		this.showimageUrl = showimageUrl;
	}

	@Transient
	public String getUserPhone() {
		return userPhone;
	}

	public void setUserPhone(String userPhone) {
		this.userPhone = userPhone;
	}

	public String getVisitorIdenHeadImg() {
		return visitorIdenHeadImg;
	}

	public void setVisitorIdenHeadImg(String visitorIdenHeadImg) {
		this.visitorIdenHeadImg = visitorIdenHeadImg;
	}

	public String getLeaveTime() {
		return leaveTime;
	}

	public void setLeaveTime(String leaveTime) {
		this.leaveTime = leaveTime;
	}

	public String getNodeStr() {
		return nodeStr;
	}

	public void setNodeStr(String nodeStr) {
		this.nodeStr = nodeStr;
	}

}
